﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace _123174
{
    [DataContract]
    class uTest : INotifyPropertyChanged
    {
        private string _mcontent;
        [DataMember]
        public string Content
        {
            get { return _mcontent; }
            set
            {
                if (_mcontent != value)
                {
                    _mcontent = value;
                    OnPropertyChanged("Content");
                }
            }
        }
        [DataMember]
        public double Width { get; set; }
        [DataMember]
        public double Height { get; set; }

        public uTest(string content, double w, double h)
        {
            Content = content;
            Width = w;
            Height = h;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private  void OnPropertyChanged(string name)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged.Invoke(this,new PropertyChangedEventArgs(name));
            }
        }
    }
}
